<?php
//print_r($dataTemplate);
if($this->session->userdata('is_logged_in')===FALSE){
			redirect('login');
}

// $idperkara=$this->encrypt->decode(base64_decode($enc));
// $idperkara = intval($idperkara);
$jenisTemplate = intval($jenisTemplate);
if(!is_numeric($jenisTemplate)){
    show_404();
    exit();
}
$bertemu = intval($bertemu);
if(!is_numeric($bertemu)){
    show_404();
    exit();
}
// $idpihak=$this->encrypt->decode(base64_decode($idpihak));
// $idpihak = intval($idpihak);
// $jursit=$this->encrypt->decode(base64_decode($jursit));
// $jursit_id = intval($jursit);
$jursitLabel = intval($jursit_id_label);
if(!is_numeric($jursitLabel)){
    show_404();
    exit();
}



foreach ($template->result() as $template)
{
    $filename=$template->kdtemplate;
    $namafile=str_replace(" ","",$template->namatemplate);
}

$url = base_url("resources/template/relaas/perdata_umum/".$filename.".rtf");


$Template = file_get_contents($url);
//=============================================roby======================================================

/*
$idperkara = intval($_GET['id']);
$pihakke = intval($_GET['pihakke']);
$idpihak = intval($_GET['idpihak']);
$idpemohon = intval($_GET['pemohon']);
$bertemu = $_GET['bertemu'];
$biaya = number_format($_GET['biaya']);
$jursitLabel = intval($_GET['jursitLabel']);
*/
$dataPenggugat = $dataTemplate;
//print_r($dataPenggugat);
	foreach ($dataPenggugat->result() as $row) {
             $namaPengadilan = $this->templatehelper->standradnaming($row->namaPengadilan);
             $nomorperkara   = $row->noPerkara;
             $jurusita 		 = $this->templatehelper->standradnaming($row->jurusita);
             $namaPihak      = $row->namaPihak;
             $pekerjaanPihak = $row->pekerjaanPihak;
             $alamatPihak    = $row->alamatPihak;
             $tglPutusan     = $this->templatehelper->convertKeTglIndo($row->tglPutusan);
             $amarPutusan    = $this->templatehelper->cleanHtmlTag($row->amarPutusan);
             $namaPihakP     = $row->namaPihakP;
             $namaPihakT     = $row->namaPihakT;
             //$statusPutusan  = $row->status_putusan;
	}

//var_dump($jurusita)
if(empty($nomorperkara)){
	$nomorperkara = '........';
}
if(empty($jurusita)){
	$jurusita = '........';
}

//bertemu atau tidak bertemu
if($jenisTemplate==1){
    $bertemuPihak="";
    if ($bertemu==1) {
	$bertemuPihak = 'Pemberitahuan ini saya jalankan di tempat kediaman/tinggal Tergugat, di sana saya bertemu dan berbicara dengan Tergugat sendiri';
	} elseif ($bertemu==2) {
	$bertemuPihak = 'Pemberitahuan ini saya jalankan di tempat kediaman/tinggal Tergugat, akan tetapi tidak bertemu dengan Tergugat sendiri, selanjutnya saya sampaikan kepada Lurah/Kepala Desa .............. yang wajib segera memberitahukan surat pemberitahuan tersebut kepada Tergugat';
}
} elseif ($jenisTemplate==2) {
	$bertemuPihak="";
	if ($bertemu==1) {
	$bertemuPihak = 'Pemberitahuan ini saya jalankan di tempat kediaman/tinggal Tergugat, akan tetapi tidak bertemu dengan Tergugat sendiri, karena sudah meninggal dunia, selanjutnya pemberitahuan ini disampaikan kepada .............. yang menurut pengakuannya adalah salah seorang ahli waris dari Tergugat';
	} elseif ($bertemu==2) {
	$bertemuPihak = 'Pemberitahuan ini saya jalankan di tempat kediaman/tinggal Tergugat, akan tetapi tidak bertemu dengan Tergugat sendiri, karena sudah meninggal dunia, sedangkan ahli warisnya tidak diketahui, selanjutnya saya sampaikan kepada Lurah/Kepala Desa .............. yang wajib segera memberitahukan surat pemberitahuan tersebut kepada Ahli Waris Tergugat.';
}
} elseif ($jenisTemplate==3) {
	$bertemuPihak="";
	if ($bertemu==1) {
	$bertemuPihak = 'Pemberitahuan ini saya jalankan di tempat kediaman/tinggal Ahli Waris Tergugat, di sana saya bertemu dan berbicara dengan Ahli Waris Tergugat sendiri';
	} elseif ($bertemu==2) {
	$bertemuPihak = 'Pemberitahuan ini saya jalankan di tempat kediaman/tinggal Ahli Waris Tergugat, akan tetapi tidak bertemu dengan Ahli Waris Tergugat sendiri, selanjutnya saya sampaikan kepada Lurah/Kepala Desa .............. yang wajib segera memberitahukan surat pemberitahuan tersebut kepada Ahli Waris Tergugat';
}
} elseif ($jenisTemplate==4) {
	$bertemuPihak="";
	if ($bertemu==1) {
	$bertemuPihak = 'Pemberitahuan ini saya jalankan di Kantor Walikota/Bupati .............., tempat tinggal Penggugat, di sana saya bertemu dan berbicara dengan .............., untuk diumumkan pada papan pengumuman yang disediakan untuk itu';
	} elseif ($bertemu==2) {
	$bertemuPihak = 'Pemberitahuan ini saya jalankan di Kantor Walikota/Bupati .............., tempat tinggal Penggugat, di sana saya bertemu dan berbicara dengan .............., untuk diumumkan pada papan pengumuman yang disediakan untuk itu';
}
} elseif ($jenisTemplate==5) {
	$bertemuPihak="";
	if ($bertemu==1) {
	$bertemuPihak = 'Pemberitahuan ini saya jalankan di tempat kediaman/tinggal Tergugat, di sana saya bertemu dan berbicara dengan Tergugat sendiri.';
	} elseif ($bertemu==2) {
	$bertemuPihak = 'Pemberitahuan ini saya jalankan di tempat kediaman/tinggal Tergugat, akan tetapi tidak bertemu dengan Tergugat sendiri, selanjutnya saya sampaikan kepada Lurah/Kepala Desa .............. yang wajib segera memberitahukan surat pemberitahuan tersebut kepada Tergugat.';
}
} elseif ($jenisTemplate==6) {
	$bertemuPihak="";
	if ($bertemu==1) {
	$bertemuPihak = 'Panggilan ini saya jalankan di tempat kediaman/tinggal Tergugat, akan tetapi tidak bertemu dengan Tergugat sendiri, karena sudah meninggal dunia, selanjutnya panggilan ini disampaikan kepada .............. yang menurut pengakuannya adalah salah seorang ahli waris dari Tergugat';
	} elseif ($bertemu==2) {
	$bertemuPihak = 'Panggilan ini saya jalankan di tempat kediaman/tinggal Tergugat, akan tetapi tidak bertemu dengan Tergugat sendiri, karena sudah meninggal dunia, sedangkan ahli warisnya tidak diketahui, selanjutnya saya sampaikan kepada Lurah/Kepala Desa .............. yang wajib segera memberitahukan surat pemberitahuan tersebut kepada Ahli Waris Tergugat.';
}
} elseif ($jenisTemplate==7) {
	$bertemuPihak="";
	if ($bertemu==1) {
	$bertemuPihak = 'Pemberitahuan ini saya jalankan di tempat kediaman/tinggal Ahli Waris Tergugat, di sana saya bertemu dan berbicara dengan Ahli Waris Tergugat sendiri.';
	} elseif ($bertemu==2) {
	$bertemuPihak = 'Pemberitahuan ini saya jalankan di tempat kediaman/tinggal Ahli Waris Tergugat, akan tetapi tidak bertemu dengan Ahli Waris Tergugat sendiri, selanjutnya saya sampaikan kepada Lurah/Kepala Desa .............. yang wajib segera memberitahukan surat Pemberitahuan tersebut kepada Ahli Waris Tergugat.';
} 
}elseif ($jenisTemplate==8) {
	$bertemuPihak="";
	if ($bertemu==1) {
	$bertemuPihak ="";
	} elseif ($bertemu==2) {
	$bertemuPihak ="";
}
}
elseif ($jenisTemplate==9) {
	$bertemuPihak="";
	if ($bertemu==1) {
	$bertemuPihak ="";
	} elseif ($bertemu==2) {
	$bertemuPihak ="";
}
}

if ($jursitLabel==1) {
	$jursitLabelx = 'Jurusita';
	} else 
	$jursitLabelx = 'Jurusita Penggati'; 

$Template = str_replace("#namaPengadilan#",''.$namaPengadilan.'',$Template);
$Template = str_replace("#nomorperkara#",''.$nomorperkara.'',$Template);
$Template = str_replace("#jurusita#",''.$jurusita.'',$Template);
$Template = str_replace("#namaPihak#",''.$namaPihak.'',$Template);
$Template = str_replace("#pekerjaanPihak#",''.$pekerjaanPihak.'',$Template);
$Template = str_replace("#alamatPihak#",''.$alamatPihak.'',$Template);
$Template = str_replace("#tglPutus#",''.$tglPutusan.'',$Template);
$Template = str_replace("#namaPihakP#",''.$namaPihakP.'',$Template);
$Template = str_replace("#namaPihakT#",''.$namaPihakT.'',$Template);
$Template = str_replace("#amarPutusan#",''.$amarPutusan.'',$Template);
$Template = str_replace("#bertemuPihak#",''.$bertemuPihak.'',$Template);
//$Template = str_replace("#statusPutusan#",''.$statusPutusan.'',$Template);
$Template = str_replace("#jumlah#",''.number_format(strval($biaya),2,",",".").'',$Template);
$Template = str_replace("#jumlahx#",''.$this->templatehelper->Terbilang(intval($biaya)).'',$Template);
$Template = str_replace("#jursitLabel#",''.$jursitLabelx.'',$Template);

header("Content-type: application/rtf");
header("Content-disposition: inline; filename=".$namafile."-".$nomorperkara.".rtf");
header("Content-length: ".strlen($Template));
echo $Template;
?>